Bug 806625 - libvirt fails to start on rhevh
libvirt fails to start on rhevh
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm (Show other bugs)
6.2
Unspecified Unspecified
high Severity high
: rc
: ---
Assigned To: Douglas Schilling Landgraf
Oded Ramraz
virt infra
:
: 783388 815825 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-25 09:46 EDT by Mike Burns
Modified: 2012-12-04 13:56 EST (History)
14 users (show)

See Also:
Fixed In Version: vdsm-4.9.6-12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 13:56:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
attached libvirtd.log (38.04 KB, application/x-compressed-tar)
2012-09-06 01:41 EDT, haiyang,dong
no flags Details

  None (edit)
Description Mike Burns 2012-03-25 09:46:20 EDT
Description of problem:
libvirt fails to start on rhevh

2012-03-25 02:16:25.791+0000: 9008: error : virNetTLSContextCheckCertBasicConstraints:167 : The certificate /etc/pki/vdsm/certs/vdsmcert.pem basic constraints show a CA, but we need one for a server

Version-Release number of selected component (if applicable):
libvirt-0.9.10-5.el6.x86_64
rhev-hypervisor6-6.3-20120307.2.auto475

How reproducible:
Always (so far)

Steps to Reproduce:
1.install rhevh
2.login to TUI

  
Actual results:
Failed to establish libvirt connection

Expected results:
libvirt starts successfully

Additional info:

May be part of the reproducer:  

Tried to register to rhevm-3.0.2_0001-2.el6 using add host flow.
Comment 1 Dan Kenigsberg 2012-03-25 11:31:03 EDT
which vdsm version is it?

Could you attach the relevant vdsmcert? I guess the problem is with whomever generated it.

Federico, please see if this is related to http://gerrit.ovirt.org/2657
Comment 2 Douglas Schilling Landgraf 2012-05-03 22:19:30 EDT
*** Bug 815825 has been marked as a duplicate of this bug. ***
Comment 4 Douglas Schilling Landgraf 2012-05-05 20:01:26 EDT
Upstream patches:

(Node): http://gerrit.ovirt.org/#change,3885
(Vdsm): http://gerrit.ovirt.org/#change,3883
Comment 5 Dan Kenigsberg 2012-05-09 05:31:02 EDT
That's no regression, but an old registration error-handling issue.
Comment 7 Dan Kenigsberg 2012-05-09 15:48:26 EDT
*** Bug 783388 has been marked as a duplicate of this bug. ***
Comment 8 Douglas Schilling Landgraf 2012-05-11 10:26:20 EDT
Hi,

   The libvirt upstart patch didn't work. There is a race condition, where the ca cert is renamed and the daemon is started. So, the scenario is, after the complete RHEV-H boot libvirt can be started *manually* (because the ca cert have been renamed). 

Moving to ASSIGNED to work into a new solution to avoid the race.

Thanks
Douglas
Comment 13 haiyang,dong 2012-09-06 01:24:51 EDT
Description of problem:
clean install rhev-h and configure network up,register rhev-h to rhevm,don't approve it to up,
then reboot rhev-h, there will be info about "Virtualzation hardware is unavailable" in login screen, after success to login,
"Failed to Establish Libvirt Connection" shows in the Status menu(Seen Screenshot of Status Menu.png), at the same time, failed to approve rhevh to up on rhevm side.

Version-Release number of selected component (if applicable):
rhevm-3.1.0-15.el6ev.noarch  
rhevh-6.3-20120813.0.rhev31.el6_3.iso

How reproducible:
100%
 
Steps to Reproduce:
1. Clean install RHEVH
2. Configure network for RHEVH
3. Register to RHEVM 3.1 and don't approve it to up(please take care of the default port should be 443 now).
4. Reboot RHEVH
5. Approve RHEVH on RHEVM side.

Actual results:
After step 5, it failed to approve rhevh to up.

Expected results:
After step 5, it can approve rhevh to up successfully.

Additional info:
After failed to approve rhevh to up, if i reboot rhev-h again,does not encounter warning info in login screen and Status Menu, the rhev-h
can also be up.
Comment 14 haiyang,dong 2012-09-06 01:41:39 EDT
Created attachment 610173 [details]
attached libvirtd.log

vdsm version:
vdsm-4.9.6-27.0.el6_3.x86_64
Comment 20 errata-xmlrpc 2012-12-04 13:56:36 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1508.html

Note You need to log in before you can comment on or make changes to this bug.